//---------------------------------------------------------------------------

#ifndef rf60x_main_ltH
#define rf60x_main_ltH
//---------------------------------------------------------------------------
#pragma link "rf60x.lib"
//#pragma comment(lib, "RF60x.lib")
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "RF60x.h"
#include <ExtCtrls.hpp>
#include "CSPIN.h"

//---------------------------------------------------------------------------
class TRF60xTestForm : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TGroupBox *PortGroupBox;
        TLabel *Label2;
        TEdit *COMNameEdit;
        TLabel *Label3;
        TComboBox *COMSpeedComboBox;
        TButton *ConnectButton;
        TGroupBox *DeviceGroupBox;
        TLabel *DeviceInfoLabel;
        TLabel *DevModLabel;
        TLabel *DevSerialLabel;
        TLabel *DevMaxDistLabel;
        TLabel *DevRangeLabel;
        TTimer *MeasureTimer;
        TGroupBox *MeasureGroupBox;
        TButton *LockResultButton;
        TButton *MeasureButton;
        TLabel *MeasureLabel;
        TCSpinEdit *DevCSpinEdit;
        TLabel *Label4;
        TButton *StartStreamButton;
        TButton *StopStreamButton;
        void __fastcall ConnectButtonClick(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall MeasureButtonClick(TObject *Sender);
        void __fastcall LockResultButtonClick(TObject *Sender);
        void __fastcall StartStreamButtonClick(TObject *Sender);
        void __fastcall StopStreamButtonClick(TObject *Sender);
        void __fastcall MeasureTimerTimer(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TRF60xTestForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TRF60xTestForm *RF60xTestForm;
//---------------------------------------------------------------------------
#endif
